/***************************************************************************
 * trackpagelisttest.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKPAGELISTTEST_H
#define TRACKPAGELISTTEST_H

#include <QtTest>
#include <QtCore>

#include "src/track/cm.h"
#include "src/track/qsizecm.h"
class TrackPageView;

class TrackPageListTest : public QObject
{
	Q_OBJECT
public:
	static const uint sDpi;
	static const Cm sMargins;
	static const QSizeCm sPageSize;
	
	TrackPageView* createPage(uint pageNumber) const;
	
private slots:
	void testGraphicsScene();
	void testSongProperties();
	void testTabTrack();
	void testPageSize();
	void testMargins();
	void testDpi();
	void testPush();
	void testPage();
	void testPageConst() const;
	void testBarAt();
	void testIsObscured();
};

#endif
